import { defineStore } from 'pinia'

export type Gameinfo = {
    id: string
    name: string
    state: string
    phase: string
}

export const useGameinfoStore = defineStore('GameinfoStore', {
  state: () => {
    return {
      gameInfo: {
            id: '',
            name: '',
            state: '',
            phase: '',
      } as Gameinfo,
    }
  },
  getters: {
    id: (state): string => state.gameInfo.id,
    name: (state): string => state.gameInfo.name,
    state: (state): string => state.gameInfo.state,
    phase: (state): string => state.gameInfo.phase,
  },
  actions: {
    setGameinfo(gameInfo: unknown): void {
     this.gameInfo = gameInfo 
    },
  },
})
